Subject: Re: bug#61350: Eglot over Tramp freezes with large project

From: Michael Albinus <[email-masked]>
Date: Fri, 05 May 2023 13:32:10 +0200

Aaron Madlon-Kay <[email-masked]> writes:

> Hello all.

Hi,

> I wanted to share that changes related to this bug,
> specifically the changes in commit 54ef338 ("Improve Tramp processes
> to accept output over the same socket") break a package I use:
> https://github.com/jscheid/prettier.el
>
> It seems that prettier.el calls tramp-accept-process-output with a 20s
> timeout, and when that timeout is not respected it thinks that the
> process has died. Here is the relevant code:
> https://github.com/jscheid/prettier.el/blob/e419bb7a916c38a4a62632c49233de1523f41218/prettier.el#L1251-L1256
>
> I don't know enough about process handling to understand if
> prettier.el is doing the wrong thing, and if so how to fix it.

tramp-accept-process-output is not a public function, it could change
internally in an incompatible way. So you might contact the Tramp team
on the respective mailing list in order to check what we could do with prettier.el.

> Thanks,
> Aaron

Best regards, Michael.